ata_sas_port_start
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_sas_port_start — Set port up for dma.

## Synopsis

`int ata_sas_port_start (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  Port to initialize

## Description

Called just after data structures for each port are initialized. Allocates DMA pad.

May be used as the `port_start` entry in ata_port_operations.

## LOCKING

Inherited from caller.

Prev | Up | Next
ata_sas_port_alloc | Home | ata_sas_port_stop